/*
  MCP23017 I2C Çoklayıcı Arduino ile Nasıl Kullanılır?
 
  MCP23017 I2C Çoklayıcının detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

#include <Adafruit_MCP23X17.h> // Adafruit'in "Adafruit MCP23017 Arduino Library" kütüphanesi.

const byte LED[16] = {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15}; // 16 adet LED'imizin bağlı oldukları
                                                              // pinleri dizi haline getirdik.
Adafruit_MCP23X17 MCPExpander;

void setup() {
  MCPExpander.begin_I2C(0x20); // Buraya seçtiğimiz I2C adresini (0x20) giriyoruz.
                               // Boş bırakırsak kütüphane kendisi de bulabiliyor.
  for (int x = 0; x < sizeof(LED); x++)
    MCPExpander.pinMode(LED[x], OUTPUT); // Pini çıkış olarak ayarlıyoruz.
}

void loop() {
  for (int x = 0; x < sizeof(LED) ; x++)
  {
    MCPExpander.digitalWrite(LED[x], HIGH); // Pini HIGH yapıyoruz.
    delay(100);
    MCPExpander.digitalWrite(LED[x], LOW);
  }
}
